# FoundationClasses
TKAdvTools
Dynamic

# Dynamic_InterpretedMethod Class Reference

This class derived from Method, describes an
interpreted method. The additional field is the
name of the file to be interpreted.
.

`#include <Dynamic_InterpretedMethod.hxx>`

Inheritance diagram for Dynamic_InterpretedMethod:

[legend]

## Public Member Functions

Standard_EXPORT | Dynamic_InterpretedMethod (const Standard_CString aname, const Standard_CString afile)
| Creates a new InterpretedMethod with <aname> as name and <afile> as file name to be interpreted. .
Standard_EXPORT void | Function (const Standard_CString afile)
| Sets the the name of the file to be interpreted to <afile>. .
Standard_EXPORT TCollection_AsciiString | Function () const
| Returns the name of the file to be interpreted. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | thefunction

## Constructor & Destructor Documentation

Standard_EXPORT Dynamic_InterpretedMethod::Dynamic_InterpretedMethod | ( | const Standard_CString | aname,
|  | const Standard_CString | afile
| ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString Dynamic_InterpretedMethod::Function | ( |  | ) | const

Standard_EXPORT void Dynamic_InterpretedMethod::Function | ( | const Standard_CString | afile | ) |

Standard_EXPORT const Dynamic_InterpretedMethod::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Dynamic_MethodDefinition.

## Field Documentation

Handle_TCollection_HAsciiString Dynamic_InterpretedMethod::thefunction `[private]`

The documentation for this class was generated from the following file:

- Dynamic_InterpretedMethod.hxx